Save an integration
curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/banks/integration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '
{
"apiUserId": "<string>",
"redirectUri": "<string>",
"state": "<string>"
}
'import requests
url = "https://sandbox.hurdlr.com/rest/v5/banks/integration"
payload = {
"apiUserId": "<string>",
"redirectUri": "<string>",
"state": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify({apiUserId: '<string>', redirectUri: '<string>', state: '<string>'})
};
fetch('https://sandbox.hurdlr.com/rest/v5/banks/integration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "<string>",
"errors": {
"fieldErrors": {},
"globalErrors": [
{
"errorMessage": "<string>"
}
]
},
"id": "<string>",
"webhook": {
"userId": "<string>",
"accountantUserId": "<string>"
}
}Banks
Save an integration
Save a new (or update an existing) integration.
POST
/
v5
/
banks
/
integration
Save an integration
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
*/*
Name of the OAuth Provider
Available options:
FRESHBOOKS, GUSTO, SHOPIFY, STRIPE, SQUARE, UBER ID of the user in the OAuth Provider's API
The final redirect URI for the user within the partner's app
Any additional state to pass to final redirect URI
Response
200 - application/json
Successful operation
URL to redirect to for the user to authenticate with the OAuth Provider
The result of the action performed
Available options:
SUCCESS, FAILURE Error object containing details errors incurred, if any
Show child attributes
Show child attributes
Id of the entity being acted upon
Show child attributes
Show child attributes
⌘I